> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /core/works/search

> Search CORE research works (publications)

**Price:** 10 credits per 100 results



## OpenAPI

````yaml /openapi/research-papers.json post /api/core/works/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/core/works/search:
    post:
      tags:
        - /core
      summary: /core/works/search
      description: |-
        Search CORE research works (publications)

        **Price:** 10 credits per 100 results
      operationId: __api_core_works_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CoreWorksSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CoreWork'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CoreWorksSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        q:
          type: string
          minLength: 1
        sort:
          $ref: '#/components/schemas/CoreWorksSort'
          default: relevance
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - q
        - count
    CoreWork:
      properties:
        '@type':
          type: string
          default: CoreWork
        id:
          type: integer
        url:
          type: string
        abstract:
          anyOf:
            - type: string
            - type: 'null'
        full_text:
          anyOf:
            - type: string
            - type: 'null'
        authors:
          items:
            $ref: '#/components/schemas/CoreAuthor'
          type: array
          default: []
        contributors:
          items:
            type: string
          type: array
          default: []
        doi:
          anyOf:
            - type: string
            - type: 'null'
        arxiv_id:
          anyOf:
            - type: string
            - type: 'null'
        mag_id:
          anyOf:
            - type: string
            - type: 'null'
        pubmed_id:
          anyOf:
            - type: string
            - type: 'null'
        oai_ids:
          items:
            type: string
          type: array
          default: []
        document_type:
          anyOf:
            - type: string
            - type: 'null'
        field_of_study:
          anyOf:
            - type: string
            - type: 'null'
        year_published:
          anyOf:
            - type: integer
            - type: 'null'
        citation_count:
          anyOf:
            - type: integer
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        publisher:
          anyOf:
            - type: string
            - type: 'null'
        download_url:
          anyOf:
            - type: string
            - type: 'null'
        identifiers:
          items:
            $ref: '#/components/schemas/CoreIdentifier'
          type: array
          default: []
        data_providers:
          items:
            $ref: '#/components/schemas/CoreWorkDataProvider'
          type: array
          default: []
        output_urls:
          items:
            type: string
          type: array
          default: []
        source_fulltext_urls:
          items:
            type: string
          type: array
          default: []
        links:
          items:
            $ref: '#/components/schemas/CoreWorkLink'
          type: array
          default: []
        journals:
          items:
            $ref: '#/components/schemas/CoreWorkJournal'
          type: array
          default: []
        references:
          items:
            $ref: '#/components/schemas/CoreWorkReference'
          type: array
          default: []
        created_at:
          anyOf:
            - type: string
            - type: 'null'
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
        accepted_at:
          anyOf:
            - type: string
            - type: 'null'
        deposited_at:
          anyOf:
            - type: string
            - type: 'null'
        published_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CoreWorksSort:
      type: string
      enum:
        - relevance
        - recency
        - citations_desc
        - citations_asc
        - year_desc
        - year_asc
    CoreAuthor:
      properties:
        '@type':
          type: string
          default: CoreAuthor
        name:
          type: string
      type: object
      required:
        - name
    CoreIdentifier:
      properties:
        '@type':
          type: string
          default: CoreIdentifier
        type:
          anyOf:
            - type: string
            - type: 'null'
        identifier:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    CoreWorkDataProvider:
      properties:
        '@type':
          type: string
          default: CoreWorkDataProvider
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    CoreWorkLink:
      properties:
        '@type':
          type: string
          default: CoreWorkLink
        type:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    CoreWorkJournal:
      properties:
        '@type':
          type: string
          default: CoreWorkJournal
        identifiers:
          items:
            type: string
          type: array
          default: []
      type: object
    CoreWorkReference:
      properties:
        '@type':
          type: string
          default: CoreWorkReference
        id:
          anyOf:
            - type: string
            - type: 'null'
        authors:
          items:
            type: string
          type: array
          default: []
        date:
          anyOf:
            - type: string
            - type: 'null'
        doi:
          anyOf:
            - type: string
            - type: 'null'
        raw:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````